Austin Group Defect Tracker

Aardvark Mark IV


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001109 [1003.1(2016)/Issue7+TC2] Shell and Utilities Editorial Clarification Requested 2016-12-17 20:12 2019-10-30 10:31
Reporter steffen View Status public  
Assigned To
Priority normal Resolution Accepted As Marked  
Status Applied  
Name steffen
Organization
User Reference
Section Vol. 3, mailx
Page Number 2951
Line Number 97791-2
Interp Status ---
Final Accepted Text Note: 0003525
Summary 0001109: Internal *bang* variable does not affect ~<! command escape
Description ..but only ! command and !~ command escape.

This is true for Illumos-gate /usr/src/cmd/mailx, Apple mailx (10.10, 2015-10-13), NetBSD Mail. Also for my clone. OpenBSD Mail does not have this command escape at all.

Note that Apple Mail (and also illumos, but i may misremember) do not even update the storage unless *bang* is set, i.e., no expansion would happen for the first command after setting *bang*. (Unless something is still lingering.)
Desired Action On line 97791, change

  The default shall be nobang, disabling the expansion of '!' in the command argument to the ˜! command and the ˜<!command escape.

to

  The default shall be nobang, disabling the expansion of '!' in the command argument to the ! command and the ˜! command escape.
Tags tc3-2008
Attached Files

- Relationships

-  Notes
(0003525)
geoffclare (manager)
2016-12-19 09:17
edited on: 2016-12-19 09:18

There are more problems with the description of the bang variable than are reported here.

Change:
Enable the special-case treatment of <exclamation-mark> characters ('!') in escape command lines; see the escape command and [xref to Command Escapes in mailx]. The default shall be nobang, disabling the expansion of '!' in the command argument to the ˜! command and the ˜<!command escape.
to:
Enable the special-case treatment of <exclamation-mark> characters ('!') in ! commands and ~!command escapes; see the Invoke Shell Command command and [xref to Command Escapes in mailx]. The default shall be nobang, disabling the expansion of '!' in the command argument to the ! command and the ˜!command escape.



- Issue History
Date Modified Username Field Change
2016-12-17 20:12 steffen New Issue
2016-12-17 20:12 steffen Name => steffen
2016-12-17 20:12 steffen Section => Vol. 3, mailx
2016-12-17 20:12 steffen Page Number => 2951
2016-12-17 20:12 steffen Line Number => 97791-2
2016-12-19 09:17 geoffclare Note Added: 0003525
2016-12-19 09:18 geoffclare Note Edited: 0003525
2018-06-07 16:27 geoffclare Interp Status => ---
2018-06-07 16:27 geoffclare Final Accepted Text => Note: 0003525
2018-06-07 16:27 geoffclare Status New => Resolved
2018-06-07 16:27 geoffclare Resolution Open => Accepted As Marked
2018-06-07 16:27 geoffclare Tag Attached: tc3-2008
2019-10-30 10:31 geoffclare Status Resolved => Applied


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker